From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/qlogtools/
Date: Sat, 2 Nov 2019 21:40:34 +0000 (UTC) [thread overview]
Message-ID: <1572730824.995223f937ca2dbfb7b15e09fdae4adbbf93f536.robbat2@gentoo> (raw)
commit: 995223f937ca2dbfb7b15e09fdae4adbbf93f536
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 2 21:40:03 2019 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Nov 2 21:40:24 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=995223f9
net-mail/qlogtools: Update to EAPI7
Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Bug: https://bugs.gentoo.org/show_bug.cgi?id=697246
net-mail/qlogtools/qlogtools-3.1-r1.ebuild | 39 ++++++++++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/net-mail/qlogtools/qlogtools-3.1-r1.ebuild b/net-mail/qlogtools/qlogtools-3.1-r1.ebuild
new file mode 100644
index 00000000000..df13e770840
--- /dev/null
+++ b/net-mail/qlogtools/qlogtools-3.1-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Qmail Log processing tools"
+HOMEPAGE="http://untroubled.org/qlogtools/"
+SRC_URI="http://untroubled.org/qlogtools/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="!app-text/multitail"
+
+PATCHES=(
+ "${FILESDIR}"/qlogtools-3.1-errno.patch
+)
+
+src_configure() {
+ echo "$(tc-getCC) ${CFLAGS}" > conf-cc
+ echo "$(tc-getCC) ${LDFLAGS}" > conf-ld
+ echo "${D}/usr/bin" > conf-bin
+ echo "${D}/usr/share/man/" > conf-man
+}
+
+src_install() {
+ dodir /usr/bin /usr/share/man/
+ ./installer || die "Installer failed"
+ dodoc ANNOUNCEMENT FILES NEWS README TARGETS VERSION
+}
+
+pkg_postinst() {
+ elog "Please see /usr/share/doc/${PF}/README for configuration information"
+}
next reply other threads:[~2019-11-02 21:40 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-02 21:40 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-11-10 3:30 [gentoo-commits] repo/gentoo:master commit in: net-mail/qlogtools/ Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1572730824.995223f937ca2dbfb7b15e09fdae4adbbf93f536.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox